Subject: Very old version of x2goclient (4.0.3.1-4) available for armhf
From: Office NextITLevel GmbH <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 24 Mar 2016 10:17:38 +0000

Package: x2goclient

Version: 4.0.3.1-4

HW platform: armhf (all 5 Raspberry PI models) 

I do not know, if this is intentional that x2goclient is not available at 
http://packages.x2go.org/debian/pool/main/x/x2goclient/
for the ARMHF platform.  This platform is used by the Raspberry PI.

The new Raspberry PI 3 has a quad-core cpu and runs at 1,2 GHz.
This should be good enough for an x2goclient.

I did compile the source code once, but I do not want do to that all the time.

I did however find an x2goclient 4.0.5.0-1 on the internet compiled for ARMHF.
This client was compiled for Debian SID and not for Debian Jessie.

So I installed the package manualy.

The output for the command: 
$ apt-cache show x2goclient
Package: x2goclient
Status: install ok installed
Priority: extra
Section: x11
Installed-Size: 2068
Maintainer: X2Go Packaging Team <[email-masked]>
Architecture: armhf
Version: 4.0.5.0-1
Replaces: x2goclient-gtk
Depends: libc6 (>= 2.15), libcups2 (>= 1.4.0), libgcc1 (>= 1:4.4.0), libldap-2.4-2 (>= 2.4.7), libqt4-network (>= 4:4.5.3), libqt4-svg (>= 4:4.5.3), libqtcore4 (>= 4:4.8.0), libqtgui4 (>= 4:4.6.1), libssh-4 (>= 0.5.4-2~), libstdc++6 (>= 4.6), libx11-6, libxpm4, openssh-client, nxproxy
Recommends: openssh-server, rdesktop | freerdp-x11
Suggests: pinentry-x2go
Conflicts: x2goclient-gtk
Description: X2Go Client application (Qt4)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.
Description-md5: 0cbfe6daf696c950c48076aae0e9ff39
Homepage: http://wiki.x2go.org/

Package: x2goclient
Version: 4.0.3.1-4
Architecture: armhf
Maintainer: X2Go Packaging Team <[email-masked]>
Installed-Size: 2170
Depends: libc6 (>= 2.15), libcups2 (>= 1.4.0), libgcc1 (>= 1:4.4.0), libldap-2.4-2 (>= 2.4.7), libqt4-network (>= 4:4.5.3), libqt4-svg (>= 4:4.5.3), libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.6.1), libssh-4 (>= 0.5.4-2~), libstdc++6 (>= 4.6), libx11-6, libxpm4, openssh-client, nxproxy
Recommends: openssh-server, rdesktop | freerdp-x11
Suggests: pinentry-x2go
Conflicts: x2goclient-gtk
Replaces: x2goclient-gtk
Homepage: http://wiki.x2go.org/
Priority: extra
Section: x11
Filename: pool/main/x/x2goclient/x2goclient_4.0.3.1-4_armhf.deb
Size: 1104128
SHA256: a19b3f4c99da1c73745b3e78ce77de0d4bd5b1ba9d9deaf76399e3f61b5dee0e
SHA1: e06aad4dff16e5b570ce3a09346f91f1cc3e982c
MD5sum: 3a91cf06e869caca6839c9d95864ffe0
Description: X2Go Client application (Qt4)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.
Description-md5: 0cbfe6daf696c950c48076aae0e9ff39

The question is now:
Is it OK for you to install a Debian SID package of x2goclient on Debian Jessie?

BTW: The repository http://packages.x2go.org/fedora/23/main/ contains 
packages for the POWER PC architecture.

It would be nice to have the armhf packages also. 

And just in case the SD-Card Image for Rasberry Pi (Mike Gabriel) was not answered:

Download the Lite SD-Card from:
https://downloads.raspberrypi.org/raspbian_lite_latest
Then log in and install X11 and with
# apt-get install x2goclient 
the install x2go client and you are done.

The full Raspbian Image is a showcase to tell people what they can do with this small computer.

Have a nice day,
Franz Lueckl

Next IT Level GmbH
Lilienthalstr 4
86159 Augsburg

Mobil DE:               	+49 152 3437 5620
Mobil AT:              	          +43 676 37 00 299
Fax:                     	          +43 1 89 00 2999

mailto:[email-masked] 
Internet Home Page:  http://www.nextitlevel.de

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, November 4, 2015 12:00 PM
To: [email-masked]
Subject: x2go-dev Digest, Vol 20, Issue 1

Send x2go-dev mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	http://lists.x2go.org/listinfo/x2go-dev
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of x2go-dev digest..."

Today's Topics:

   1. SD-Card Image for Rasberry Pi (Mike Gabriel)
   2. Re: SD-Card Image for Rasberry Pi (Stefan Baur)

----------------------------------------------------------------------

Message: 1
Date: Tue, 03 Nov 2015 11:27:44 +0000
From: Mike Gabriel <[email-masked]>
To: [email-masked]
Subject: [X2Go-Dev] SD-Card Image for Rasberry Pi
Message-ID:
	<[email-masked]>
	
Content-Type: text/plain; charset="utf-8"; Format="flowed";
	DelSp="Yes"

Hi Stefan (Baur), hi all,

@Stefan: on an event in Frankfurt, you had X2Go Client as thin client  
running on a Rasberry Pi.

How much effort would it be to make such image available for the public?

@all: does anyone of you have Rasberry Pis running a minimal X2Go  
(Thin) Client system and are you willing to share (a) the installation  
procedure or (b) the SD Card image?

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 819 bytes
Desc: Digitale PGP-Signatur
URL: <http://lists.x2go.org/pipermail/x2go-dev/attachments/20151103/3c066db4/attachment-0001.pgp>

------------------------------

Message: 2
Date: Tue, 3 Nov 2015 14:29:48 +0100
From: Stefan Baur <[email-masked]>
To: [email-masked], Karl-Heinz Hellmann <[email-masked]>,
	Franz L?ckl <[email-masked]>
Subject: Re: [X2Go-Dev] SD-Card Image for Rasberry Pi
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=windows-1252

Am 03.11.2015 um 12:27 schrieb Mike Gabriel:
> Hi Stefan (Baur), hi all,
> 
> @Stefan: on an event in Frankfurt, you had X2Go Client as thin
> client running on a Rasberry Pi.

That was a standard Raspbian image with an added X2Go repo - I think
Mike#2 hosts that.

> How much effort would it be to make such image available for the
> public?

I would suggest providing a step-by-step install instruction like we
have for the regular, x86/x64-based client, instead.
Providing an image is almost like shipping a binary blob, and the
SDcard is an 8 GB model, I think. Even compressed, that wastes a lot
of server space.

Also, the startup sequence I used was a bit hackish - X is running as
root and starts up xmessage as a primitive menu, with one option then
starting X2GoClient with the command line parameters for TCE mode.

So it's not recommended for production use.

Also, I would really recommend using a second-generation Raspi for
performance reasons.

> @all: does anyone of you have Rasberry Pis running a minimal X2Go
> (Thin) Client system and are you willing to share (a) the
> installation procedure or (b) the SD Card image?

Karl-Heinz Hellmann and Franz L?ckl operate "niuco", a company that
specializes in Raspberry-Pi-based ThinClients.  They actually donated
the Raspi you saw to the X2Go Project (thanks again for that!).

I CC'ed them both, let's see what they have to add.

Kind Regards,
Stefan

- -- 
BAUR-ITCS UG (haftungsbeschr?nkt)
Gesch?ftsf?hrer: Stefan Baur
Eichen?ckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

------------------------------